/*
 * 	libevcli.c - Library for Everest-styled command line output
 *
 * 	Libevcli is free software: you can redistribute it and/or modify it under the terms of the
 * 	GNU General Public License as published by the Free Software Foundation, either
 * 	version 3 of the License, or (at your option) any later version.
 *
 * 	Libevcli is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * 	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * 	PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License along with libevcli. If
 * 	not, see <https://www.gnu.org/licenses/>.
 */

#include <color.h>
#include <locale.h>
#include <stdio.h>
#include <syslog.h>
#include <wchar.h>

const wchar_t check = 0x2713;

void
infolog(char MSG[])
{
	if (MSG == NULL) {
		return;
	}

	printf(COL_BLUE "[i]" COL_RESET " %s\n", MSG);
	return;
}


void
warnlog(char MSG[])
{
	if (MSG == NULL) {
		return;
	}

	printf(COL_YELLOW "[!]" COL_RESET " %s\n", MSG);
	return;
}

void
errlog(char MSG[])
{
	if (MSG == NULL) {
		return;
	}

	fprintf(stderr, COL_RED "[x]" COL_RESET " %s\n", MSG);
	return;
}

void
successlog(char MSG[])
{
	setlocale(LC_CTYPE, "");

	if (MSG == NULL) {
		return;
	}

	printf(COL_GREEN "[%lc]" COL_RESET " %s\n", check, MSG);
	return;
}
